QGIS Application - Bug report #17496

Conditional formatting of inactive features not applied on relatin reference widget combobox

2017-11-20 11:29 AM - Andreas Neumann

Status: Closed
Priority: High
Assignee: Matthias Kuhn
Category: Edit widget

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 25393

Description

In QGIS 2.18, if one specified conditional formatting on a row (e.g. inactive features are crossed-out or red), the same formatting was
used in the combobox of a relation reference widget, to distinguish active from inactive features.

In current QGIS master, this conditional formatting is not applied.

It is a regression, since it worked in 2.18.

Associated revisions

Revision a374ebe9 - 2017-11-22 11:13 AM - Matthias Kuhn

Relation referenc widget: apply conditional styles

Fix #17496

History

#1 - 2017-11-22 03:58 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a374ebe96593949af1642644304dbda4f1d89a29.
